# Checklist
A web based app to add and check items off a list, which outputs a page that can be set up as a browser source in OBS.

#### Screenshots
<a href=https://git.deadtom.me/deadtom/Checklist/src/master/screenshots/managelist.png><img src=https://git.deadtom.me/deadtom/Checklist/raw/master/screenshots/managelist.png width=100></a>&nbsp;&nbsp;<a href=https://git.deadtom.me/deadtom/Checklist/src/master/screenshots/list.png><img src=https://git.deadtom.me/deadtom/Checklist/raw/master/screenshots/list.png width=100></a>

#### Setup
Create your venv, and activate it:

```bash
python3 -m venv env
source env/bin/activate
```

Upgrade pip, and install dependancies:

```bash
pip install --upgrade pip
pip install -e .
```

#### Run Checklist with:

```bash
env/bin/python -m gunicorn -b 0.0.0.0:5022 -w 1 'checklist:create_app()'
```

Of course, if you prefer to run your flask apps with something else, go for it.

#### In your streaming software

Create a browser source, and point it to:
```
http://localhost:5022/list
```
Be sure to check the box for "Refresh browser when scene becomes active"

To manage your check list, go to:

```
http://localhost:5022
```

I've included "ListBackground.png" for use as an opaque background for your list in your streaming software, but of course use whatever you like.
